OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.TimerQuery

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTimerQuery :: MonadIO m => m Bool
- gl_ARB_timer_query :: Bool
- pattern GL_TIMESTAMP :: GLenum
- pattern GL_TIME_ELAPSED :: GLenum
- glGetQueryObjecti64v :: MonadIO m => GLuint -> GLenum -> Ptr GLint64 -> m ()
- glGetQueryObjectui64v :: MonadIO m => GLuint -> GLenum -> Ptr GLuint64 -> m ()
- glQueryCounter :: MonadIO m => GLuint -> GLenum -> m ()

# Extension Support

glGetARBTimerQuery :: MonadIO m => m Bool Source #

Is the ARB_timer_query extension supported?

gl_ARB_timer_query :: Bool Source #

Is the ARB_timer_query extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTimerQuery` in those cases instead.

# Enums

pattern GL_TIMESTAMP :: GLenum Source #

pattern GL_TIME_ELAPSED :: GLenum Source #

# Functions

glGetQueryObjecti64v Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type QueryObjectParameterName.
-> Ptr GLint64 | `params` pointing to `COMPSIZE(pname)` elements of type `GLint64`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetQueryObjectui64v Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type QueryObjectParameterName.
-> Ptr GLuint64 | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint64`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glQueryCounter Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `target` of type QueryCounterTarget.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.